Subject: Re(2): Canadian Collating Sequence

From: [email-masked] ("[email-masked] (Greger Leijonhufvud, ISC, High Wycombe, U.K.)")
Date: Tue, 20 Nov 90 11:54:28 GMT

In reply to your message of Tue Nov 20 03:56:24 1990
-------
>> substitute "Mc" with "Mac"

>Isn't this rather application specific? What if I have a computer
>model number called "Mc1500". Should it collate like "Mac1500"?

>Erik

-------

The collation definition has for quite a while contained a "substitute"
clause, intended to resolve issues like this. I had not anticipated to
find this "required" in a standard, though, but when running the test
example (attached below) I found that the mandated resultant order does
in fact require this! I would probably be happier not to include it in
an official collation standard, and it is not spelled out in the text,
but there it is....

Mandated output (I have changed accented letters to their charmap versions
for mail reasons) follow:
@@@@@
0000
9999
Aalborg
aide
a<i-diaeresis>eul
air
<A-ring>lborg
ao<a-circumflex>t
caennais
c<ae>sium
<c-cedilla><a-grave> et l<a-grave>
C.A.F.
Canon
ca<n-tilde>on
casanier
c<o-slash>libat
coop
co-op
COOP
CO-OP
Copenhagen
cote
COTE
c<o-circumflex>te
C<O-circumflex>TE
cot<e-acute>
COT<E-acute>
c<o-circumflex>t<e-acute>
C<O-circumflex>T<E-acute>
<e-circumflex>l<e-grave>ve
<e-acute>lev<e-acute>
Gr<o-diaeresis><sharp-s>e
Grossist
<i-circumflex>le
<I-cicrumflex>le d'Orl<e-acute>ans
lame
l'<a-circumflex>me
L'Ha<y-diaeresis>-les-Roses
McArthur
Mc Arthur
Mc Mahon
M<A-circumflex>CON
ma<c-cedilla>on
MOD<E-grave>LE
model<e-acute>
No<e-diaeresis>l
NO<E-diaeresis>L
notre
n<o-circumflex>tre
p<e-circumflex>che
p<e-acute>ch<e-acute>
P<E-acute>CH<E-acute>
p<e-acute>cher
p<e-circumflex>cher
rel<e-grave>ve
relev<e-acute>
resume
resum<e-acute>
r<e-acute>sum<e-acute>
r<e-acute>v<e-grave>le
r<e-acute>v<e-acute>l<e-acute>
vice-president
vice-pr<e-acute>sident
vice-president's offices
vice-presidents' offices
vice versa
VICE-VERSA